JndiBindingsType.JndiBinding.ConfigProperty (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: JndiBindingsType, class: JndiBinding, class: ConfigProperty

Package org.apache.geode.cache.configuration

# Class JndiBindingsType.JndiBinding.ConfigProperty

java.lang.Object
org.apache.geode.cache.configuration.CacheElement
org.apache.geode.cache.configuration.JndiBindingsType.JndiBinding.ConfigProperty

All Implemented Interfaces:
  `Serializable`, `Identifiable<String>`

Enclosing class:
  JndiBindingsType.JndiBinding

public static class JndiBindingsType.JndiBinding.ConfigProperty extends CacheElement

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="config-property-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="config-property-type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="config-property-value" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `configPropertyName`
  `protected String`
  `configPropertyType`
  `protected String`
  `configPropertyValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigProperty()`
  `ConfigProperty(String name, String value)`
  `ConfigProperty(String name, String type, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Get the id of the element.
  `String`
  `getName()`
  Gets the value of the configPropertyName property.
  `String`
  `getType()`
  Gets the value of the configPropertyType property.
  `String`
  `getValue()`
  Gets the value of the configPropertyValue property.
  `void`
  `setName(String value)`
  Sets the value of the configPropertyName property.
  `void`
  `setType(String value)`
  Sets the value of the configPropertyType property.
  `void`
  `setValue(String value)`
  Sets the value of the configPropertyValue property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### configPropertyName

    protected String configPropertyName

  - ### configPropertyType

    protected String configPropertyType

  - ### configPropertyValue

    protected String configPropertyValue

- ## Constructor Details

  - ### ConfigProperty

    public ConfigProperty()

  - ### ConfigProperty

    public ConfigProperty(String name, String type, String value)

  - ### ConfigProperty

    public ConfigProperty(String name, String value)

- ## Method Details

  - ### getId

    public String getId()
    Get the id of the element. The id is the same as the name.
    Returns:
      the id of the element

  - ### getName

    public String getName()
    Gets the value of the configPropertyName property. possible object is `String`
    Returns:
      the name.

  - ### setName

    public void setName(String value)
    Sets the value of the configPropertyName property. allowed object is `String`
    Parameters:
      `value` - the name.

  - ### getType

    public String getType()
    Gets the value of the configPropertyType property. possible object is `String`
    Returns:
      the type.

  - ### setType

    public void setType(String value)
    Sets the value of the configPropertyType property. allowed object is `String`
    Parameters:
      `value` - the type.

  - ### getValue

    public String getValue()
    Gets the value of the configPropertyValue property. possible object is `String`
    Returns:
      the value.

  - ### setValue

    public void setValue(String value)
    Sets the value of the configPropertyValue property. allowed object is `String`
    Parameters:
      `value` - the value.